import { Middleware } from 'koa';
import { PolyfillsLoaderConfig } from '../utils/inject-polyfills-loader';
import { TransformJs } from '../utils/compatibility-transform';
export interface PolyfillsLoaderMiddlewareConfig {
    compatibilityMode: string;
    appIndex?: string;
    rootDir: string;
    polyfillsLoaderConfig?: Partial<PolyfillsLoaderConfig>;
    transformJs: TransformJs;
}
/**
 * Creates middleware which injects polyfills and code into the served application which allows
 * it to run on legacy browsers.
 */
export declare function createPolyfillsLoaderMiddleware(cfg: PolyfillsLoaderMiddlewareConfig): Middleware;
